# lead

Leads are used to track potential new opportunities and can be converted to accounts

**Scope required:** standard:read

For a complete list of possible response fields see the [Lead](/developer/api-reference/types/lead.md) type.

```graphql
query lead ($id: ID) {
  lead (id: $id) {
    accountId
    accountTypeId
    city
    company
    companyOrFullName
    converted
    convertedAt
    country
    createdAt
    customFieldsData
    description
    email
    employees
    entityId
    firstName
    fullName
    groupId
    hasCustomFields
    id
    industryId
    lastName
    leadSourceId
    leadStatusId
    linkedinUrl
    mobile
    ownerUserId
    phone
    revenue
    state
    street
    title
    updatedAt
    website
    zip
  }
}
```

## Arguments

| Name | Type | Description |
| ---- | ---- | ----------- |
| id   | ID   |             |

## Response

* [Lead](/developer/api-reference/types/lead.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/sending-a-graphql-request/lead.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
